--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Safely migrates the data-store to match the model preserving data already in the data-store
- !ruby/struct:SM::Flow::P 
  body: "@api public"
full_name: DataMapper::Migrations::Repository#auto_upgrade!
is_singleton: false
name: auto_upgrade!
params: ()
visibility: public
